#
# spec file for package python-mypy_extensions
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mypy_extensions
Version:        1.0.0
Release:        1.4
Summary:        Experimental type system extensions for programs checked with mypy typechecker
License:        MIT
Group:          Development/Languages/Python
URL:            https://www.mypy-lang.org/
Source:         https://files.pythonhosted.org/packages/source/m/mypy_extensions/mypy_extensions-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
The "mypy_extensions" module defines experimental extensions to the
standard "typing" module that are supported by the mypy typechecker.

%prep
%setup -q -n mypy_extensions-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri May  5 2023 Dirk Müller <dmueller@suse.com>
- update to 1.0.0:
  * Drop python 2 and 3.4 support
  * Add Python 3.9, 3.10, 3.11
  * Add mypyc native int types ia64, i32, i16 and u8
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Fri Oct 18 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.4.3
- removed redudant LICENSE file
* Sun Aug 26 2018 sebix+novell.com@sebix.at
- update to version 0.4.1, no upstream changelog available
* Sun Dec 17 2017 sebix+novell.com@sebix.at
- initial package for version 0.3.0
